All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Div_Round
Arithmetic Operations

Pixel by pixel division of two images using result rounding modes. More...

## Functions

NppStatus | nppiDiv_Round_8u_C1RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_C1RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_8u_C1IRSfs_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_C1IRSfs (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_8u_C3RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_C3RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_8u_C3IRSfs_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_C3IRSfs (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_8u_AC4RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_AC4RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_8u_AC4IRSfs_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel in place image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_AC4IRSfs (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_8u_C4RSfs_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_C4RSfs (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_8u_C4IRSfs_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_8u_C4IRSfs (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_C1RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_C1RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_C1IRSfs_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_C1IRSfs (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_C3RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_C3RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_C3IRSfs_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_C3IRSfs (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_AC4RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_AC4RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_AC4IRSfs_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel in place image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_AC4IRSfs (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_C4RSfs_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_C4RSfs (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16u_C4IRSfs_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16u_C4IRSfs (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_C1RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_C1RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_C1IRSfs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_C1IRSfs (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_C3RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_C3RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_C3IRSfs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_C3IRSfs (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_AC4RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_AC4RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_AC4IRSfs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel in place image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_AC4IRSfs (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_C4RSfs_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_C4RSfs (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)
NppStatus | nppiDiv_Round_16s_C4IRSfs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiDiv_Round_16s_C4IRSfs (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppRoundMode rndMode, int nScaleFactor)

## Detailed Description

Pixel by pixel division of two images using result rounding modes.

## Function Documentation

NppStatus nppiDiv_Round_16s_AC4IRSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_AC4IRSfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel in place image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16s_AC4RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_AC4RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16s_C1IRSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_C1IRSfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16s_C1RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_C1RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16s_C3IRSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_C3IRSfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16s_C3RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_C3RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16s_C4IRSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_C4IRSfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16s_C4RSfs | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16s_C4RSfs_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_AC4IRSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_AC4IRSfs_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel in place image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_AC4RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_AC4RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_C1IRSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_C1IRSfs_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_C1RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_C1RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_C3IRSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_C3IRSfs_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_C3RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_C3RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_C4IRSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_C4IRSfs_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_16u_C4RSfs | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_16u_C4RSfs_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_AC4IRSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_AC4IRSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel in place image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_AC4RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_AC4RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image division with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_C1IRSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_C1IRSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_C1RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_C1RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_C3IRSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_C3IRSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_C3RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_C3RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_C4IRSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_C4IRSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel in place image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiDiv_Round_8u_C4RSfs | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiDiv_Round_8u_C4RSfs_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppRoundMode | rndMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image division, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  rndMode | Result Rounding mode to be used (NPP_RND_ZERO, NPP_RND_NEAR, or NP_RND_FINANCIAL)
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation